-- NULL als xsi:null
SELECT EmployeeID, Title, ManagerID
  FROM HumanResources.Employee
 WHERE EmployeeID IN (1,109)
   FOR XML AUTO, ROOT('Emp-List'), ELEMENTS XSINIL 

-- Ergebnis
/*
<Emp-List xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <HumanResources.Employee>
    <EmployeeID>1</EmployeeID>
    <Title>Production Technician - WC60</Title>
    <ManagerID>16</ManagerID>
  </HumanResources.Employee>
  <HumanResources.Employee>
    <EmployeeID>109</EmployeeID>
    <Title>Chief Executive Officer</Title>
    <ManagerID xsi:nil="true" />
  </HumanResources.Employee>
</Emp-List>
*/