-- Elemente mit Kindern und Attributen erzeugen
-- Anderer Reihenelementname
SELECT emp.EmployeeID AS "@Emp-ID",
       emp.Title AS "Name/@Title",
       FirstName AS "Name/FirstName",
       LastName  AS "Name/LastName",
       emp.MaritalStatus,
       dep.DepartmentID AS "Department/@Dep-ID",
       ShiftID          AS "Department/ShiftID"
  FROM HumanResources.Employee AS emp INNER JOIN Person.Contact AS c
    ON emp.ContactID = c.ContactID
       INNER JOIN HumanResources.EmployeeDepartmentHistory AS dep
    ON dep.EmployeeID = emp.EmployeeID
 WHERE emp.EmployeeID = 17
   FOR XML PATH('Emp'), ROOT('Emp-List')

-- Ergebnis
/*
<Emp-List>
  <Emp Emp-ID="17">
    <Name Title="Production Technician - WC10">
      <FirstName>Doris</FirstName>
      <LastName>Hartwig</LastName>
    </Name>
    <MaritalStatus>M</MaritalStatus>
    <Department Dep-ID="7">
      <ShiftID>1</ShiftID>
    </Department>
  </Emp>
</Emp-List>
*/