-- Verschachtelte Strukturen (Versuch)
WITH hr AS (
 SELECT dep.DepartmentID,
        GroupName,
        edh.EmployeeID,
        FirstName,
        LastName
  FROM HumanResources.Department AS dep
       INNER JOIN HumanResources.EmployeeDepartmentHistory AS edh
       ON dep.DepartmentID = edh.DepartmentID 
       INNER JOIN HumanResources.Employee AS emp
       ON emp.EmployeeID = edh.EmployeeID
       INNER JOIN Person.Contact AS c
       ON c.ContactID = emp.ContactID
 WHERE dep.DepartmentID < 3