
-- XML in Tabelle speichern
-- XML-Tabelle erstellen
DROP TABLE #xmlTable
CREATE TABLE #xmlTable(nr int, product xml)
-- In Tabelle speichern
INSERT INTO #xmlTable
SELECT 1, (SELECT  TOP 30 Name,
                   ProductNumber,
                   ListPrice
              FROM Production.Product
               FOR XML PATH('Product'), ROOT('Product-List'))
-- XML abrufen
SELECT CAST(product AS nvarchar(max)) FROM #xmlTable

