-- Ausnahmebehandlung fr ungltiges XML
DECLARE @empListXML xml (EmpList);
BEGIN TRY
 SET @empListXML = ( 
SELECT EmployeeID AS [Emp-ID],
       Title
  FROM HumanResources.Employee
   FOR XML PATH('Emp'), ROOT('Emp-List'))
END TRY
BEGIN CATCH
  SELECT 
    ERROR_NUMBER()   AS Nr,
    ERROR_SEVERITY() AS Schwere,
    ERROR_STATE()    AS Status,
    ERROR_LINE()     AS Zeile,
    ERROR_MESSAGE()  AS Meldung
END CATCH

-- Ergebnis
/*
Nr     Schwere  Status  Zeile  Meldung
------ -------- ------- ------ ------------------------------------
6908   16       1       4      XML-berprfung: Ungltiger Inhalt. 
Erwartete Elemente: BirthDate. Ort: /*:Emp-List[1]/*:Emp[1].
(1 Zeile(n) betroffen)
*/