IF (SELECT count(*) FROM sysobjects WHERE name = 'Production.CustomWSDL') = 1 
DROP PROCEDURE Production.CustomWSDL
GO
DROP PROCEDURE Production.CustomWSDL
GO
DROP ASSEMBLY CustomWSDL
GO
CREATE ASSEMBLY CustomWSDL FROM 'C:\CustomWSDL.dll'
GO 
CREATE PROCEDURE Production.CustomWSDL (
  @endpointID as int,
  @isSSL as bit,
  @host as nvarchar(256),
  @queryString as nvarchar(256),
  @userAgent as nvarchar(256)
)
AS EXTERNAL NAME CustomWSDL.[MSSql.CustomWSDL].GenerateWSDL
GO
EXEC sp_configure 'clr enabled', 1
RECONFIGURE WITH OVERRIDE
GO
-- Hier ist mehr Sicherheit nicht verkehrt
GRANT EXEC on CustomWSDL to [PUBLIC]
