/*
 * Main.java
 *
 * Created on 24. Oktober 2005, 17:06
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package complexmessage;

import java.util.*;
import javax.xml.soap.*;

import java.net.URL;
/**
 *
 * @author Comelio
 */
public class Main {
    
 
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try { 
            // SOAP-Anfrage erstellen
            MessageFactory msgFac = MessageFactory.newInstance();
            SOAPMessage message = msgFac.createMessage();
            SOAPBody body = message.getSOAPBody();
            body.addNamespaceDeclaration("SOAP-ENC","http://schemas.xmlsoap.org/soap/encoding/");
            body.addNamespaceDeclaration("xsi","http://www.w3.org/2001/XMLSchema-instance");
            body.addNamespaceDeclaration("xsd","http://www.w3.org/2001/XMLSchema");
            SOAPFactory soapFactory = SOAPFactory.newInstance();
            Name bodyName = soapFactory.createName("ProductOrder", "t", "http://tempUri.org/");
            SOAPBodyElement bodyElement = body.addBodyElement(bodyName);
            Name orderName = soapFactory.createName("order", "t", "http://tempUri.org/");
            SOAPElement order = bodyElement.addChildElement(orderName);            
            Name name = soapFactory.createName("ProductOrder", "c", "http://www.contoso.com/ProductOrder");
            SOAPElement order2 = order.addChildElement(name);
            SOAPElement number = order2.addChildElement("ProductNumber", "c");
            number.addTextNode("BA-8327");
            SOAPElement quantity = order2.addChildElement("Quantity", "c");
            quantity.addTextNode("3");
            SOAPElement account = order2.addChildElement("AccountNumber", "c");
            account.addTextNode("AW00019908");
            // Nachricht ausgeben
            System.out.println("Anfrage:");
            message.writeTo(System.out);
            // Webservice aufrufen
            System.out.println("Antwort:");
            SOAPConnectionFactory soapConnectionFactory = SOAPConnectionFactory.newInstance();
            SOAPConnection connection = soapConnectionFactory.createConnection();
            URL endpoint = new URL("http://localhost/sql");
            SOAPMessage response = connection.call(message, endpoint);
            // Antwort ausgeben bzw. verarbeiten...
            System.out.println("Antwort:");
            response.writeTo(System.out);
        }  catch(java.rmi.RemoteException ex) {
             ex.printStackTrace();
        } catch(Exception ex) {
            ex.printStackTrace();
        }       
    }
    
}
