-- Wurzelelement
-- Elementnamen = Spaltenaliasnamen
SELECT DepartmentID AS Dep, Name
  FROM HumanResources.Department AS Dep
 WHERE DepartmentID IN (1,2) 
   FOR XML AUTO, ROOT('Dep-List'), ELEMENTS

-- Ergebnis
/*
XML_F52E2B61-18A1-11d1-B105-00805F49916B
------------------------------------------
<Dep-List>
  <Dep>
    <DepartmentID>1</DepartmentID>
    <Name>Engineering</Name>
  </Dep>
  <Dep>
    <DepartmentID>2</DepartmentID>
    <Name>Tool Design</Name>
  </Dep>
</Dep-List>
(2 Zeile(n) betroffen)
*/