-- Elemente mit Kindern und Attributen erzeugen
SELECT dep.DepartmentID AS "@Dep-ID",
       (SELECT edh.EmployeeID AS "data()"
          FROM HumanResources.EmployeeDepartmentHistory AS edh
         WHERE edh.DepartmentID = dep.DepartmentID
           FOR XML PATH (''))
  FROM HumanResources.Department AS dep
 WHERE dep.DepartmentID < 3
   FOR XML PATH('Dep'), ROOT('Emp-List')

-- Ergebnis
/*
<Emp-List>
  <Dep Dep-ID="1">3 4 9 11 12 267 270</Dep>
  <Dep Dep-ID="2">4 5 263 265</Dep>
</Emp-List>
*/