-- XML aus Spalte abrufen

-- XML-Variable erstellen
DECLARE @productXML xml, @productChar nvarchar(max)
-- XML abrufen
SET @productXML = (
SELECT  TOP 30 Name,
       ProductNumber,
       ListPrice
  FROM Production.Product
 ORDER BY ProductID DESC
FOR XML PATH('Product'), ROOT('Product-List'))
-- Umwandeln XML <-> Zeichenkette
SET @productChar = CONVERT(nvarchar(max), @productXML)
SET @productXML = CAST(@productChar AS xml)
-- Ausgabe
PRINT @productChar
--SELECT @productXML

