-- XML-Variable erstellen
DECLARE @productXML xml, @resultXML xml
-- XML in Variable aus Zeichenkette speichern
SET @productXML = (
SELECT ProductNumber AS "@P-Nr", 
       Name          AS "Name", 
       StandardCost  AS "Prices/Standard",
       ListPrice     AS "Prices/List",
       Size          AS "Details/Size",
       Color         AS "Details/Color"
  FROM Production.Product
 ORDER BY ProductID DESC
FOR XML PATH('Product'), ROOT('Product-List'))

SET @resultXML = @productXML

-- Textknoten ersetzen
SET @resultXML.modify('
 replace value of (//Product[1]/Details/Color/text())[1] with "Orange"') 

-- Test
SELECT @resultXML
