xquery version "1.0";
comment { "ProductSummary, 18.01.2002"  },
processing-instruction xml-stylesheet { "type='text/xsl' href='transformation.xslt'" },
element Product-Summary  {
   for $colors in distinct-values(//Color)
   order by $colors descending
   return
      element Color {
        attribute Name { $colors  } ,
        element Product-List {
          for $product in //Product[Details/Color = $colors ]
          let $name := $product/Name/text(),
               $price := $product/Prices/List/text() 
           return 
            element Product { 
               element Name { $name }, 
               element Price { $price }
            }
        }
       }
  }
