-- Endpunkt lschen
DROP ENDPOINT epEmployee
GO
-- Namensraum lschen und anlegen
EXEC sp_delete_http_namespace_reservation N'http://localhost:80/sql'
EXEC sp_reserve_http_namespace N'http://localhost:80/sql' 
GO
-- Webservice anlegen
CREATE ENDPOINT epEmployee 
   STATE = STARTED
AS HTTP(
   PATH = '/sql', 
   AUTHENTICATION = (INTEGRATED ), 
   PORTS = ( CLEAR ),
   SITE = 'localhost'
)
FOR SOAP (
   BATCHES = ENABLED,
   WSDL = DEFAULT,
   DATABASE = 'AdventureWorks',
   NAMESPACE = 'http://Adventure-Works/Employees'
)
GO
USE master
EXEC sp_grantlogin @loginame='NOTEBOOK\Comelio'
EXEC sp_grantdbaccess @loginame='NOTEBOOK\Comelio'
GRANT CONNECT ON ENDPOINT::epEmployee TO [NOTEBOOK\Comelio]
GO