USE AdventureWorks
GO
DROP ENDPOINT epProduct
GO
EXEC sp_reserve_http_namespace N'http://localhost:80/sql' 
GO
CREATE ENDPOINT epProduct 
   STATE = STARTED
AS HTTP(
   PATH = '/sql', 
   AUTHENTICATION = (INTEGRATED ), 
   PORTS = ( CLEAR ),
   SITE = 'localhost'
)
FOR SOAP (
   BATCHES = ENABLED,
   SESSIONS=ENABLED,
   SESSION_TIMEOUT = 60,
   WSDL = DEFAULT,
   DATABASE = 'AdventureWorks',
   NAMESPACE = 'http://Adventure-Works/Products'
)
GO
USE master
EXEC sp_grantlogin @loginame='NOTEBOOK\Comelio'
EXEC sp_grantdbaccess @loginame='NOTEBOOK\Comelio'
GRANT CONNECT ON ENDPOINT::epProduct TO [NOTEBOOK\Comelio]
GO