using System;
using System.Collections.Generic;
using System.Text;
using SessionClient1.localhost;
using System.Data;

namespace SessionClient1
{
    class Program
    {
        static void Main(string[] args)
        {
     // Stellvertreter-Objekt fr Webservice erstellen
     epProduct proxy = new epProduct();
     proxy.Credentials = System.Net.CredentialCache.DefaultCredentials;
     // Webservice nutzen
     try {
       // Out-Parameter in SQL-Anweisung ankndigen
       SqlParameter param = new SqlParameter();
       param.name = "x";
       param.sqlDbType = sqlDbTypeEnum.Int;
       param.direction = SessionClient1.localhost.ParameterDirection.InputOutput;
       SqlParameter[] queryParams = new SqlParameter[] { param };
       // Webservice verwenden und Sitzung einrichten
       proxy.sqlSession = new sqlSession();
       proxy.sqlSession.initiate = true;
       proxy.sqlSession.MustUnderstand = true;
       // 1. Anweisung
       object[] res = proxy.sqlbatch("SELECT @x = COUNT(*) FROM Production.Product", ref queryParams);
       System.Xml.XmlNode[] outParameters = (System.Xml.XmlNode[])queryParams[0].Value;
       Console.WriteLine("Produkte: " + outParameters[0].Value);
       // Viele weitere Anweisungen...
       // Sitzung beenden
       proxy.sqlSession.timeoutSpecified = false;
       proxy.sqlSession.terminate = true;
     }
     catch (Exception e) {
       Console.WriteLine("Ausnahme: " + e.Message);
     }
     Console.ReadLine();
    }
        }
    
}
