DROP PROCEDURE Production.CustomWSDL
GO
CREATE PROCEDURE Production.CustomWSDL
    @EndpointID int,
    @IsSSL bit,
    @Host nvarchar(128),
    @QueryString nvarchar(128),
    @UserAgent nvarchar(128)
AS
BEGIN
  DECLARE @outputWSDL nvarchar(max)
  SET @outputWSDL = N'<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://Adventure-Works/Products" targetNamespace="http://Adventure-Works/Products" xmlns:s1="http://tempUri.org/"><wsdl:types><xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://tempUri.org/"><xsd:element name="GetProductInfo"><xsd:complexType><xsd:sequence><xsd:element name="ProductNumber"></xsd:element></xsd:sequence></xsd:complexType></xsd:element><xsd:element name="GetProductInfoResponse"><xsd:complexType><xsd:sequence><xsd:element name="GetProductInfoResult"></xsd:element></xsd:sequence></xsd:complexType></xsd:element></xsd:schema></wsdl:types><wsdl:message name="s1MsgGetProductInfoSoapIn"><wsdl:part name="parameters" element="s1:GetProductInfo" /></wsdl:message><wsdl:message name="s1MsgGetProductInfoSoapOut"><wsdl:part name="parameters" element="s1:GetProductInfoResponse" /></wsdl:message><wsdl:portType name="epProductSoap"><wsdl:operation name="GetProductInfo"><wsdl:input name="s1MsgGetProductInfoSoapIn" message="tns:s1MsgGetProductInfoSoapIn" /><wsdl:output name="s1MsgGetProductInfoSoapOut" message="tns:s1MsgGetProductInfoSoapOut" /></wsdl:operation></wsdl:portType><wsdl:binding name="epProductSoap" type="tns:epProductSoap"><soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/><wsdl:operation name="GetProductInfo"><soap:operation soapAction="http://tempUri.org/GetProductInfo" style="document" /><wsdl:input name="s1MsgGetProductInfoSoapIn"><soap:body use="literal" /></wsdl:input><wsdl:output name="s1MsgGetProductInfoSoapOut"><soap:body use="literal" /></wsdl:output></wsdl:operation></wsdl:binding><wsdl:service name="epProduct"><wsdl:port name="epProduct" binding="tns:epProductSoap"><soap:address location="http://localhost//sql" /></wsdl:port></wsdl:service></wsdl:definitions>'
  SELECT @outputWSDL AS N'XML_F52E2B61-18A1-11d1-B105-00805F49916B'
END
GO

