-- Prozedur
CREATE PROCEDURE pProductXML (
  @price money
)
AS
SELECT ProductID AS ID,
       Name,
       Size,
       ListPrice
  FROM Production.Product AS Product
 WHERE ListPrice <= @price
FOR XML AUTO, ROOT('Product-List')

-- Test
EXEC pProductXML @price = 200

-- Ergebnis
/*
XML_F52E2B61-18A1-11d1-B105-00805F49916B
----------------------------------------------------------------------------
<Product-List><Product ID="1" Name="Adjustable Race" ListPrice="0.0000"/>...
*/