CREATE FUNCTION fProductXML (
  @price money
)
RETURNS XML
AS BEGIN
DECLARE @productList XML
SET @productList = (
SELECT ProductID AS ID,
       Name,
       Size,
       ListPrice
  FROM Production.Product AS Product
 WHERE ListPrice <= @price
FOR XML AUTO, ROOT('Product-List'))
RETURN @productList
END

-- Test
SELECT dbo.fProductXML(1000)

-- Ergebnis
/*
--------------------------------------------------------------------------
<Product-List><Product ID="1" Name="Adjustable Race" ListPrice="0.0000" />
(1 Zeile(n) betroffen)
*/